Subject: Re: bug#33685: Time settings does not work in gnome

From: Chris Marusich <[email-masked]>
Date: Sun, 09 Dec 2018 14:33:42 -0800

[email-masked] writes:

> On 2018-12-09 13:06, [email-masked] wrote:
>> When I set the time or toggle automatic time in the gnome-control-center
>> it errors out. The time is still wrong.
>> 
>> sdb@antelope ~$ gnome-control-center 
>> 
>> (gnome-control-center:1556): datetime-cc-panel-WARNING **: 13:24:15.745:
>> Timezone '(null)' is unhandled, setting Europe/London as default
>> 
>> (gnome-control-center:1556): datetime-cc-panel-WARNING **: 13:24:24.324:
>> Could not set system to use NTP:
>> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
>> org.freedesktop.timedate1 was not provided by any .service files
>> 
>> (gnome-control-center:1556): GLib-GIO-CRITICAL **: 13:24:34.673:
>> g_dbus_connection_call_internal: assertion 'object_path != NULL &&
>> g_variant_is_object_path (object_path)' failed
>> 
>> 
>> sdb@antelope ~$ guix --version
>> guix (GNU Guix) 0.16.0-3.6ddc63e
>> 
>> Installed from git with sudo -E reconf...
>> 
>> config.scm attached.
>
> Fixed the time manually with 
> sudo date -s  1308 +%H%M
> (the date and year was correct already)

Are you using GuixSD?  If so, is your system time set correctly when you
specify the correct timezone in your operating system configuration
file, reconfigure the system with "guix system reconfigure", and reboot?

If you're using GuixSD, is your system configured to use the NTP
service?  It's included by default in the %desktop-services.

I'm not sure what's going on with gnome-control-center, but what I'm
getting at is that you might not need to use gnome-control-center to set
the time if you've configured your OS to use NTP and an appropriate
timezone.

-- 
Chris